diff tests/dbupload2.sh @ 2053:229a299d739d

Add tests/dbupload2.* files tests/dbupload2.sh is a shell script which run the test scenario On my machine the executable segfaults after curl request
author Sergey Mironov <grrwlf@gmail.com>
date Fri, 15 Aug 2014 07:11:31 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/dbupload2.sh	Fri Aug 15 07:11:31 2014 +0000
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+cd `dirname $0`
+
+urweb -dbms sqlite dbupload2
+
+rm -rf dbupload2.db || true
+sqlite3 dbupload2.db < dbupload2.sql
+
+./dbupload2.exe -p 8083 &
+sleep 1
+
+touch /tmp/empty
+curl --verbose -F"operation=upload" -F"filename=@/tmp/empty" http://localhost:8083/Blabla/bla
+